Accounting Period
The accounting period resource.
Base/accountingPeriod
GET
/accountingPeriodList accounting periods
Retrieve a paginated list of accounting periods. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/accountingPeriod
curl --request GET \
--url '<your-host>/accountingPeriod?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"closeStatus": "string",
"closedAt": "2026-01-01T00:00:00Z"
}
]GET
/accountingPeriodRetrieve a accounting period
Fetch a single accounting period by filtering on `id`.
Query parameters
idstringMatch on the accounting period's `id`, e.g. `eq.{id}`.
GET/accountingPeriod
curl --request GET \
--url '<your-host>/accountingPeriod?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"closeStatus": "string",
"closedAt": "2026-01-01T00:00:00Z"
}POST
/accountingPeriodCreate a accounting period
Create a new accounting period.
Body parameters
startDatedaterequiredendDatedaterequiredcompanyIdstringrequiredReferences company.id
closedAttimestampclosedBystringReferences user.id
closeStatusperiodCloseStatusrequiredfiscalYearnumberperiodNumbernumberlockedAttimestamplockedBystringReferences user.id
POST/accountingPeriod
curl --request POST \
--url <your-host>/accountingPeriod \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"startDate":"2026-01-01","endDate":"2026-01-01","companyId":"xyz789","closeStatus":"string"}'Response
{
"id": "abc123def456",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"closeStatus": "string",
"closedAt": "2026-01-01T00:00:00Z"
}PATCH
/accountingPeriodUpdate a accounting period
Update an existing accounting period, matched on `id`.
Body parameters
startDatedaterequiredendDatedaterequiredcompanyIdstringrequiredReferences company.id
closedAttimestampclosedBystringReferences user.id
closeStatusperiodCloseStatusrequiredfiscalYearnumberperiodNumbernumberlockedAttimestamplockedBystringReferences user.id
PATCH/accountingPeriod
curl --request PATCH \
--url '<your-host>/accountingPeriod?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"startDate":"2026-01-01"}'Response
{
"id": "abc123def456",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"closeStatus": "string",
"closedAt": "2026-01-01T00:00:00Z"
}DELETE
/accountingPeriodDelete a accounting period
Delete a accounting period, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the accounting period to delete, e.g. `eq.{id}`.
DELETE/accountingPeriod
curl --request DELETE \
--url '<your-host>/accountingPeriod?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content